# gptline

gptline is a command-line ChatGPT client written in Python. It allows you to interact with OpenAI's GPT models using a terminal emulator. With gptline, you can have multi-line conversations with a useful and unintrusive UI.

## Features

- Multi-line input: gptline allows you to input multiple lines of text as prompts, making it easier to have more complex conversations with the chatgpt model.
- Multiple conversations: You can have multiple ongoing conversations with the chatgpt model, allowing you to switch between different contexts seamlessly.
- Search past messages: gptline keeps track of past messages, making it easy to search and reference previous interactions.
- Response regeneration: If you're not satisfied with the initial response, gptline allows you to regenerate a new response based on the same prompt.
- Editing past prompts: You can edit past prompts to refine or change the context of the conversation.
- iTerm2 support: It adds marks so you can easily navigate from message to message.

## Installation

You can install gptline using pip3:

```bash
pip3 install gptline
```

## Usage

To start using gptline, simply run the following command:

```bash
gptline
```

Once you're in the gptline terminal, you can start interacting with the chatgpt model by entering your prompts. Use the `Ctrl+C` shortcut to exit the gptline terminal.

## License

gptline is released under the GPL v3 license. See [LICENSE](LICENSE) for more information.

## Contributing

Contributions to gptline are welcome! If you find any issues or have suggestions for improvements, please open an issue or submit a pull request.

